- name: remonter # this is the name of the action
  # rule contains the regex that will have to be matched to run the action
  rule: "remonter (?:l |le |la |les |une |un |son |ses |sa |)(?:pantalon)"
  # type contains the class to be instanced
  type: Action1
  events:
    remonter:
      - props: actor:pantalon-remonte
        actor: "Vous avez déjà le pantalon remonte jusqu'au genoux, vous ne pouvez pas le remonter plus"
      - actor: "Vous remontez votre pantalon"
        observer: "{{ actor.name }} remonte son pantalon jusqu'au genoux"
        effects:
          - type: ChangeOwnPropEffect
            modifs: actor:pantalon-remonte
- name: abaisser
  rule: "abaisser (?:l |le |la |les |une |un |son |ses |sa |)(?:pantalon)"
  type: Action1
  events:
    abaisser:
      - props: -actor:pantalon-remonte
        actor: "Vous avez déjà le pantalon au plus bas, vous allez avoir l'air fin sans lui ..."
      - actor: "Vous redescendez votre pantalon"
        observer: "{{ actor.name }} recouvre ses molets avec son pantalon"
        effects:
          - type: ChangeOwnPropEffect
            modifs: -actor:pantalon-remonte
- name: speakwith
  rule: "parler avec (\\S+)"
  type: Action2
  condition: "dialog"
- name: answer
  rule: "r(?:é|e)pondre (?:a|à) (\\S+)(?: |)(?::|)(?: |)(\\S+)"
  type: Action3
  condition: "dialog"
  resolve2: "do_not_resolve"
- name: light-on-with
  rule: "allumer (\\S+) avec (\\S+)"
  type: Action3
  condition: "lightable"
- name: read
  rule: "lire (?:l |le |la |les |une |un |son |ses |sa |)(\\S+)"
  type: Action2
  condtion: readable
- name: complete
  rule: "(?:achever|completer|terminer) (?:l |le |la |les |une |un |son |ses |sa |)(\\S+)"
  condition: completable
  type: Action2
- name: pay-with
  rule: "payer (?:l |le |la |les |une |un |son |ses |sa |)(\\S+) avec (?:l |le |la |les |une |un |son |ses |sa |)(\\S+)"
  condition: payable
  type: Action3
- name: break
  type: Action2
  rule: "(?:detruire|briser|casser) (?:l |le |la |les |une |un |son |ses |sa |)(\\S+)"
  events:
    break:
      - props: object:destroyable
        actor: "Vous détruisez {{ object.noun_the() }}"
        observer: "{{ actor.name }} détruit {{ object.noun_the() }}."
        effects:
          - type: DestroyEffect
      - actor: "Impossible de détruire {{ object.noun_the() }}"
        observer: "{{ actor.name }} essaye en vain de détruire {{ object.noun_the() }}."
- name: break-with
  type: Action3
  rule: "(?:detruire|briser|casser) (?:l |le |la |les |une |un |son |ses |sa |)(\\S+) avec (?:l |le |la |les |une |un |son |ses |sa |)(\\S+)"
- name: drink
  type: Action2
  rule: "(?:boire) (?:l |le |la |les |une |un |son |ses |sa |)(\\S+)"
  resolve: "resolve_for_take"
- name: walk
  type: Action2
  rule: "(?:marcher) sur (?:l |le |la |les |une |un |son |ses |sa |)(\\S+)"
- name: help
  type: Action1
  rule:  "(?:help|aide|aider|regles|regle|régle|régles)"
- name: bath
  type: Action2
  rule: "se baigner dans (?:l |le |la |les |une |un |son |ses |sa |)(\\S+)"
  resolve: "resolve_for_take"
